Bug 22695 - Remove non-XSLT search results view from the staff client
Summary: Remove non-XSLT search results view from the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12561 22697
  Show dependency treegraph
 
Reported: 2019-04-12 13:22 UTC by Owen Leonard
Modified: 2019-06-06 17:53 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22695: Remove non-XSLT search results view from the staff client (9.52 KB, patch)
2019-04-12 13:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22695: Remove non-XSLT search results view from the staff client (9.59 KB, patch)
2019-04-12 18:16 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22695: Remove non-XSLT search results view from the staff client (9.63 KB, patch)
2019-04-12 19:38 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22695: Remove non-XSLT search results view from the staff client (9.71 KB, patch)
2019-04-15 02:53 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-12 13:22:03 UTC
There are no bugs blocking the removal of the non-XSLT search results view in the staff client, so it is safe to remove.
Comment 1 Owen Leonard 2019-04-12 13:46:06 UTC Comment hidden (obsolete)
Comment 2 Pierre-Marc Thibault 2019-04-12 18:16:36 UTC Comment hidden (obsolete)
Comment 3 Bin Wen 2019-04-12 19:38:23 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2019-04-15 02:53:18 UTC
Created attachment 87992 [details] [review]
Bug 22695: Remove non-XSLT search results view from the staff client

This patch removes the option to select non-XSLT search results in the
staff client. The patch removes the markup from the template, updates
the system preference options, and modifies Search.pm so that OPAC and
staff client results XSLT functions are not tied together.

To test, apply the patch and set the XSLTResultsDisplay to a blank
value. Run the database update. The value of the XSLTResultsDisplay
system preference should now be "default."

Perform a catalog search in the staff client. The results should be
shown using the XSLT view.

Test that OPAC search results respect the OPACXSLTResultsDisplay
preference when enabled and disabled.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 5 Nick Clemens 2019-04-16 13:27:33 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-25 14:15:46 UTC
Marking as an enhancement as it's a cleanup piece which 'might' surprise users of the stable branch.

Will not be backported to 18.11.x series.